MS02-004: Microsoft Telnet Server Protocol Option Handling Remote Overflow (307298) (intrusive check)

High Nessus Plugin ID 11314


The remote telnet server is affected by a remote buffer overflow vulnerability.


The remote telnet server appears to be Microsoft's telnet server. It is possible to crash the remote service when it receives too many options, probably because of a buffer overflow.

An attacker may use this flaw to deny service to legitimate users, or execute arbitrary code on the remote host subject to the privileges of the telnet service.


Apply update referenced in MS02-004.

See Also

Plugin Details

Severity: High

ID: 11314

File Name: ms_telnet_overflow.nasl

Version: $Revision: 1.24 $

Type: remote

Agent: windows

Family: Windows

Published: 2003/03/03

Modified: 2017/08/30

Dependencies: 17975

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:interix

Required KB Items: Settings/ParanoidReport

Exploit Available: false

Exploit Ease: No known exploits are available

Vulnerability Publication Date: 2002/02/07

Reference Information

CVE: CVE-2002-0020

BID: 4061

OSVDB: 2043

MSFT: MS02-004

MSKB: 307298